
Application: gvSIG desktop - gvSIG bugs #921
Add/Draw multipoint
07/25/2012 10:10 AM - María Maluenda

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Vector editing
Target version: 2.0.0-rc1
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2049 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Open gvSIG
Open new View
Add layer--> geodata/vector/SHP2D/multipunto
In ToC, click right button menu on layer selected, multipunto
Start edition
Select multipoint tool
Add/Draw points
In ToC, click right button menu on layer selected
Finish edition
Save the changes or , close the edition without saving changes
The multipoints disappear
In ToC, click right button menu on layer selected
Start edition
Select multipoint tool and, drag the mouse to the view.
The multipoints appear
----------------
Añadir/Dibujar multipuntos 
Abrir gvSIG
Abrir una nueva Vista
Añadir capa -> geodata/vector/SHP2D/multipunto
En ToC, clic con botón derecho sobre la capa seleccionada, multipunto
Comenzar edición
Seleccionar la herramienta multipunto
Añadir / Dibujar puntos
En ToC, clic con botón derecho sobre la capa seleccionada, multipunto
Finalizar la edición
Guardar los cambios o, cerrar la edición sin guardar los cambios
Los multipuntos desaparecen
En ToC, clic con botón derecho sobre la capa seleccionada, multipunto
Comenzar edición
Seleccionar la herramienta multipunto y, arrastrar el ratón hasta el punto de vista.
Los multipuntos aparecen

History
#1 - 10/30/2012 06:57 PM - Manuel Madrid
- Priority changed from Normal to Urgent
- Target version set to 2.0.0-rc1

#2 - 11/03/2012 07:11 PM - Juan Lucas Domínguez
- Status changed from New to Fixed
- Assignee set to Juan Lucas Domínguez

Clearing points every time tools starts to remove previous non-ended multipoint.

gvsig-desktop:r39137

Test:

- Remember that after clicking the points of a multipoint, the user must right-click and choose "End" so that the multipoint is considered. If you don't
end the multipoint and exit editing, those points are lost.

- Apart from that, there was a bug, because those lost points were painted again in the next use of the tool. That should not happen now.

#3 - 11/05/2012 09:32 AM - Juan Lucas Domínguez

gvsig-desktop:r39138

Updated test:

- Remember that after clicking the points of a multipoint, the user must right-click and choose "End" so that the multipoint is considered. If you don't
end the multipoint and change tool or exit editing, those points are preserved for next use of the tool (it's not a bug, that is the expected behavior).

- If the user goes back to the same tool and sees the old points , it's because no decision was taken (end gepmetry or cancel) and the user can
continue with the same geometry or cancel it (right-click to see popup menu).

#4 - 11/13/2012 10:28 AM - María Maluenda
- Status changed from Fixed to Closed

Closed in the gvSIG build 2057
